#include <dht11.h>
#define DHT11PIN 4 //CAPTEUR HUMIDITE ET TEMPERATURE A BRANCHER SUR D4
//http://gilles.thebault.free.fr/spip.php?article46 et https://letmeknow.fr/blog/2013/11/06/tuto-utiliser-un-capteur-temperature-humidite/
//PERENNES CLEMENT le 13/04/2020

dht11 DHT11;

void setup()
{

  pinMode(5,OUTPUT); //RELAIS 2 VENTILATEURS 9 VOLTS
  pinMode(2,OUTPUT); //LED VERTE - VENTILATION ALLUMEE
  pinMode(7,OUTPUT); //LED ROUGE - VENTILATION ETEINTE
  pinMode(8,OUTPUT); //LED BLEUE - TEMOIN DE FONCTIONNEMENT
  
  Serial.begin(9600);
  Serial.println("DHT11 HUMIDITE ET TEMPERATURE ");
  Serial.print("LIBRARY VERSION DHT11: ");
  Serial.println(DHT11LIB_VERSION);
  Serial.println();
}

void loop()
{
  DHT11.read(DHT11PIN);
  float temp = DHT11.temperature;

   if( (temp) > 30 )
    {
        digitalWrite(5, HIGH);
        digitalWrite(2, HIGH);
        digitalWrite(7, LOW);
        digitalWrite(8, HIGH);
        Serial.print("VENTILATION EN MARCHE ");
        delay(500);
    }
    else
    {
        digitalWrite(5, LOW);
        digitalWrite(2, LOW);
        digitalWrite(7, HIGH);
        digitalWrite(8, HIGH);
        Serial.print("VENTILATION A L ARRET ");
        delay(500);
    }

  Serial.print("Humidite (%): ");
  Serial.print((float)DHT11.humidity, 2);
  Serial.print("\t");
  Serial.print("Temperature (C): ");
  Serial.println((float)DHT11.temperature, 2);

  delay(500);

    
}
